Bug 163915 - Reboot hangs at "machine restart" message
Reboot hangs at "machine restart" message
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
MassClosed
:
Depends On:
Blocks: FCMETA_ACPI
  Show dependency treegraph
 
Reported: 2005-07-21 18:12 EDT by Philip Prindeville
Modified: 2015-01-04 17:21 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:37:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmidecode (9.43 KB, text/plain)
2005-07-21 18:15 EDT, Philip Prindeville
no flags Details
lspci (4.51 KB, text/plain)
2005-07-21 18:16 EDT, Philip Prindeville
no flags Details
dmesg (16.83 KB, text/plain)
2005-07-21 18:21 EDT, Philip Prindeville
no flags Details
dmidecode from Steve Chan (11.62 KB, text/plain)
2005-07-30 08:03 EDT, Steve Chan
no flags Details
lspci from Steve Chan (5.93 KB, text/plain)
2005-07-30 08:04 EDT, Steve Chan
no flags Details
dmesg from Steve Chan (12.51 KB, text/plain)
2005-07-30 08:06 EDT, Steve Chan
no flags Details

  None (edit)
Description Philip Prindeville 2005-07-21 18:12:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc3 Firefox/1.0.6

Description of problem:
When attempting a "reboot", the normal shutdown messages appear on the console upto and including the "machine restart" message.  That, however, is as far as it gets.  The machine is hung until I poke at the CPU reset button.


Version-Release number of selected component (if applicable):
kernel-2.6.11-1.35

How reproducible:
Always

Steps to Reproduce:
1. try "reboot"
2.
3.
  

Actual Results:  The message "machine restart" appears on the console, then no further activity.


Expected Results:  After the "machine restart" message, the screen should clear, and the BIOS POST message appears, followed by a normal warm reboot sequence.


Additional info:

Changing the grub.conf line to include "reboot=force", "reboot=triple", etc. doesn't change anything.

Processor: AMD Athalon 64 2800+
Motherboard: MSI-7142 (K8MM-V)
Memory: 1GB (DDR-400?)
Comment 1 Philip Prindeville 2005-07-21 18:15:16 EDT
Created attachment 117039 [details]
dmidecode
Comment 2 Philip Prindeville 2005-07-21 18:16:53 EDT
Created attachment 117040 [details]
lspci
Comment 3 Philip Prindeville 2005-07-21 18:21:50 EDT
Created attachment 117041 [details]
dmesg
Comment 4 Steve Chan 2005-07-30 07:59:50 EDT
I have similar problem with kernel-2.6.12-1.1372_FC3.x86_64.rpm.  

My hardware configuration is
Motherboard:  ECS RS480-M
BIOS version: 1.0f and 1.0g
CPU:          AMD Althon 64 3000+
Memory:       2 x PC3200 512MB (dual channel)

Additional information:
1.  The download FC3 ISO version (kernel-2.6.9-1.667.x86_64.rpm) does not 
    have the problem.
2.  Both 64-bit and 32-bit version have the same problem.
3.  The same problem also exists in FC4.

dmidecode, lspci and dmesg output will be attached
Comment 5 Steve Chan 2005-07-30 08:03:28 EDT
Created attachment 117308 [details]
dmidecode from Steve Chan
Comment 6 Steve Chan 2005-07-30 08:04:43 EDT
Created attachment 117309 [details]
lspci from Steve Chan
Comment 7 Steve Chan 2005-07-30 08:06:11 EDT
Created attachment 117310 [details]
dmesg from Steve Chan
Comment 8 Dave Jones 2005-08-26 02:17:18 EDT
Does this still occur with the latest errata kernel currently in updates-testing ?
Comment 9 Steve Chan 2005-08-27 00:51:22 EDT
I tested with 
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/testing/3/i386/
kernel-2.6.12-1.1375_FC3.i686.rpm on 27th August 2005, the problem still exist.

However, there are some difference between kernel-2.6.12-1.1372_FC3.i686.rpm 
and kernel-2.6.12-1.1375_FC3.i686.rpm:  

    With build 1372, both the power lamp and harddisk lamp were on when the 
system hang.  Power supply fan and CPU fan were on.  The screen was blank.  
After a while, the harddisk lamp was off.  Power supply fan and CPU fan were 
still on.

    With build 1375, the power lamp was off but the harddisk lamp was on.  
Power supply fan and CPU fan were on.  The screen was blank.  After a while, 
both lamp were off.  Power supply fan and CPU fan were still on.
Comment 10 Steve Chan 2005-09-01 14:35:07 EDT
I tested with 
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/3/i386/kernel-
2.6.12-1.1376_FC3.i686.rpm on 1st September 2005.  The result is the same as 
build 1375.
Comment 11 Philip Prindeville 2005-10-05 18:41:41 EDT
I'm also seeing this problem on an EPIA M-10000 running 2.6.12-1.1378_FC3.
Comment 12 Jeffrey Moyer 2005-10-27 20:58:02 EDT
Could you try the kernel command line parameter "reboot=force" ?
Comment 13 Philip Prindeville 2005-10-28 01:51:32 EDT
Yup.  Tried it again with 2.6.12-1.1380_FC3 (which has the patch to powernow-k8
in it) and no difference.  Still hangs.

I also saw the disk light and CPU lights go dim, but the processor and P/S fan
stay on...
Comment 14 Steve Chan 2005-12-27 05:44:50 EST
My motherboard is ECS RS480-M.  After flash with BIOS version 1.1e, the reboot 
problem was fixed.  All previous BIOS version 1.0e through 1.1c does not 
work.  It also works with BIOS version 1.1g (released on 17-Dec-2005).  I 
tested with many versions of kernel of FC3 and FC4.
Comment 15 Dave Jones 2005-12-27 17:50:47 EST
for folks still seeing problems, there are a number of other reboot options that
may work..

reboot=b
reboot=h
reboot=s

If booting with one of those options make rebooting work again for you, let me
know which one it was, and attach the output of dmidecode, and I'll add them to
the bios blacklist in the kernel.

Comment 16 Dave Jones 2006-01-16 17:11:01 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 17 Dave Jones 2006-02-03 00:11:28 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 18 Warren Stark 2006-03-13 03:46:26 EST
Also happening to me, tried reboot=h,reboot=s,reboot=s options none of which 
have worked.

Hardware details
Celeron D 336 2.8Ghz / Asus P5S800-VM mainboard with bios 1019 (latest), this 
is SIS661FX chipset

additional command output etc available if requested. Running kernel 2.6.15-
1.1833_FC4 x86_64 edition.
Comment 19 Dave Jones 2006-09-16 21:35:17 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 20 Dave Jones 2006-10-16 13:28:29 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 21 Jon Stanley 2008-01-19 23:37:12 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.